Index: trunk/source/geometry/solids/CSG/src/G4Tubs.cc
===================================================================
--- trunk/source/geometry/solids/CSG/src/G4Tubs.cc	(revision 1227)
+++ trunk/source/geometry/solids/CSG/src/G4Tubs.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Tubs.cc,v 1.74 2008/11/06 15:26:53 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4Tubs.cc,v 1.79 2009/06/30 10:10:11 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -90,5 +90,5 @@
                       G4double pDz,
                       G4double pSPhi, G4double pDPhi )
-  : G4CSGSolid(pName)
+  : G4CSGSolid(pName), fSPhi(0), fDPhi(0)
 {
 
@@ -102,7 +102,7 @@
   else
   {
-    G4cerr << "ERROR - G4Tubs()::G4Tubs(): " << GetName() << G4endl
-           << "        Negative Z half-length ! - "
-           << pDz << G4endl;
+    G4cerr << "ERROR - G4Tubs()::G4Tubs()" << G4endl
+           << "        Negative Z half-length (" << pDz << ") in solid: "
+           << GetName() << G4endl;
     G4Exception("G4Tubs::G4Tubs()", "InvalidSetup", FatalException,
                 "Invalid Z half-length");
@@ -115,6 +115,7 @@
   else
   {
-    G4cerr << "ERROR - G4Tubs()::G4Tubs(): " << GetName() << G4endl
-           << "        Invalid values for radii !" << G4endl
+    G4cerr << "ERROR - G4Tubs()::G4Tubs()" << G4endl
+           << "        Invalid values for radii in solid " << GetName()
+           << G4endl
            << "        pRMin = " << pRMin << ", pRMax = " << pRMax << G4endl;
     G4Exception("G4Tubs::G4Tubs()", "InvalidSetup", FatalException,
@@ -122,42 +123,7 @@
   }
 
-  fPhiFullTube = true;
-  if ( pDPhi >= twopi-kAngTolerance*0.5 ) // Check angles
-  {
-    fDPhi=twopi;
-    fSPhi=0;
-  }
-  else
-  {
-    fPhiFullTube = false;
-    if ( pDPhi > 0 )
-    {
-      fDPhi = pDPhi;
-    }
-    else
-    {
-      G4cerr << "ERROR - G4Tubs()::G4Tubs(): " << GetName() << G4endl
-             << "        Negative delta-Phi ! - "
-             << pDPhi << G4endl;
-      G4Exception("G4Tubs::G4Tubs()", "InvalidSetup",
-                  FatalException, "Invalid dphi.");
-    }
-
-    // Ensure fSphi in 0-2PI or -2PI-0 range if shape crosses 0
-
-    if ( pSPhi < 0 )
-    {
-      fSPhi = twopi - std::fmod(std::fabs(pSPhi),twopi);
-    }
-    else
-    {
-      fSPhi = std::fmod(pSPhi,twopi) ;
-    }
-    if ( fSPhi+fDPhi > twopi )
-    {
-      fSPhi -= twopi ;
-    }
-  }
-  InitializeTrigonometry();
+  // Check angles
+
+  CheckPhiAngles(pSPhi, pDPhi);
 }
 
@@ -203,5 +169,5 @@
 {
 
-  if ( !pTransform.IsRotated() && fDPhi == twopi && fRMin == 0 )
+  if ( (!pTransform.IsRotated()) && (fDPhi == twopi) && (fRMin == 0) )
   {
     // Special case handling for unrotated solid tubes
@@ -210,14 +176,14 @@
     // and compute exact x and y limit for x/y case
       
-    G4double xoffset, xMin, xMax ;
-    G4double yoffset, yMin, yMax ;
-    G4double zoffset, zMin, zMax ;
-
-    G4double diff1, diff2, maxDiff, newMin, newMax ;
-    G4double xoff1, xoff2, yoff1, yoff2, delta ;
-
-    xoffset = pTransform.NetTranslation().x() ;
-    xMin = xoffset - fRMax ;
-    xMax = xoffset + fRMax ;
+    G4double xoffset, xMin, xMax;
+    G4double yoffset, yMin, yMax;
+    G4double zoffset, zMin, zMax;
+
+    G4double diff1, diff2, maxDiff, newMin, newMax;
+    G4double xoff1, xoff2, yoff1, yoff2, delta;
+
+    xoffset = pTransform.NetTranslation().x();
+    xMin = xoffset - fRMax;
+    xMax = xoffset + fRMax;
 
     if (pVoxelLimit.IsXLimited())
@@ -230,17 +196,17 @@
       else
       {
-        if ( xMin < pVoxelLimit.GetMinXExtent() )
-        {
-          xMin = pVoxelLimit.GetMinXExtent() ;
-        }
-        if (xMax > pVoxelLimit.GetMaxXExtent() )
-        {
-          xMax = pVoxelLimit.GetMaxXExtent() ;
-        }
-      }
-    }
-    yoffset = pTransform.NetTranslation().y() ;
-    yMin    = yoffset - fRMax ;
-    yMax    = yoffset + fRMax ;
+        if (xMin < pVoxelLimit.GetMinXExtent())
+        {
+          xMin = pVoxelLimit.GetMinXExtent();
+        }
+        if (xMax > pVoxelLimit.GetMaxXExtent())
+        {
+          xMax = pVoxelLimit.GetMaxXExtent();
+        }
+      }
+    }
+    yoffset = pTransform.NetTranslation().y();
+    yMin    = yoffset - fRMax;
+    yMax    = yoffset + fRMax;
 
     if ( pVoxelLimit.IsYLimited() )
@@ -249,13 +215,13 @@
         || (yMax < pVoxelLimit.GetMinYExtent()) )
       {
-        return false ;
+        return false;
       }
       else
       {
-        if ( yMin < pVoxelLimit.GetMinYExtent() )
-        {
-          yMin = pVoxelLimit.GetMinYExtent() ;
-        }
-        if ( yMax > pVoxelLimit.GetMaxYExtent() )
+        if (yMin < pVoxelLimit.GetMinYExtent())
+        {
+          yMin = pVoxelLimit.GetMinYExtent();
+        }
+        if (yMax > pVoxelLimit.GetMaxYExtent())
         {
           yMax=pVoxelLimit.GetMaxYExtent();
@@ -263,7 +229,7 @@
       }
     }
-    zoffset = pTransform.NetTranslation().z() ;
-    zMin    = zoffset - fDz ;
-    zMax    = zoffset + fDz ;
+    zoffset = pTransform.NetTranslation().z();
+    zMin    = zoffset - fDz;
+    zMax    = zoffset + fDz;
 
     if ( pVoxelLimit.IsZLimited() )
@@ -272,13 +238,13 @@
         || (zMax < pVoxelLimit.GetMinZExtent()) )
       {
-        return false ;
+        return false;
       }
       else
       {
-        if ( zMin < pVoxelLimit.GetMinZExtent() )
-        {
-          zMin = pVoxelLimit.GetMinZExtent() ;
-        }
-        if ( zMax > pVoxelLimit.GetMaxZExtent() )
+        if (zMin < pVoxelLimit.GetMinZExtent())
+        {
+          zMin = pVoxelLimit.GetMinZExtent();
+        }
+        if (zMax > pVoxelLimit.GetMaxZExtent())
         {
           zMax = pVoxelLimit.GetMaxZExtent();
@@ -290,11 +256,11 @@
       case kXAxis :
       {
-        yoff1 = yoffset - yMin ;
-        yoff2 = yMax    - yoffset ;
+        yoff1 = yoffset - yMin;
+        yoff2 = yMax    - yoffset;
 
         if ( (yoff1 >= 0) && (yoff2 >= 0) ) // Y limits cross max/min x
         {                                   // => no change
-          pMin = xMin ;
-          pMax = xMax ;
+          pMin = xMin;
+          pMax = xMax;
         }
         else
@@ -317,11 +283,11 @@
       case kYAxis :
       {
-        xoff1 = xoffset - xMin ;
-        xoff2 = xMax - xoffset ;
+        xoff1 = xoffset - xMin;
+        xoff2 = xMax - xoffset;
 
         if ( (xoff1 >= 0) && (xoff2 >= 0) ) // X limits cross max/min y
         {                                   // => no change
-          pMin = yMin ;
-          pMax = yMax ;
+          pMin = yMin;
+          pMax = yMax;
         }
         else
@@ -334,50 +300,50 @@
           delta   = fRMax*fRMax - xoff2*xoff2;
           diff2   = (delta>0.) ? std::sqrt(delta) : 0.;
-          maxDiff = (diff1 > diff2) ? diff1 : diff2 ;
-          newMin  = yoffset - maxDiff ;
-          newMax  = yoffset + maxDiff ;
-          pMin    = (newMin < yMin) ? yMin : newMin ;
-          pMax     =(newMax > yMax) ? yMax : newMax ;
-        }
-        break ;
+          maxDiff = (diff1 > diff2) ? diff1 : diff2;
+          newMin  = yoffset - maxDiff;
+          newMax  = yoffset + maxDiff;
+          pMin    = (newMin < yMin) ? yMin : newMin;
+          pMax    = (newMax > yMax) ? yMax : newMax;
+        }
+        break;
       }
       case kZAxis:
       {
-        pMin = zMin ;
-        pMax = zMax ;
-        break ;
+        pMin = zMin;
+        pMax = zMax;
+        break;
       }
       default:
         break;
     }
-    pMin -= kCarTolerance ;
-    pMax += kCarTolerance ;
-    return true;    
+    pMin -= kCarTolerance;
+    pMax += kCarTolerance;
+    return true;
   }
   else // Calculate rotated vertex coordinates
   {
-    G4int i, noEntries, noBetweenSections4 ;
-    G4bool existsAfterClip = false ;
-    G4ThreeVectorList* vertices = CreateRotatedVertices(pTransform) ;
+    G4int i, noEntries, noBetweenSections4;
+    G4bool existsAfterClip = false;
+    G4ThreeVectorList* vertices = CreateRotatedVertices(pTransform);
+
+    pMin =  kInfinity;
+    pMax = -kInfinity;
+
+    noEntries = vertices->size();
+    noBetweenSections4 = noEntries - 4;
     
-    pMin = +kInfinity ;
-    pMax = -kInfinity ;
-
-    noEntries = vertices->size() ;
-    noBetweenSections4 = noEntries - 4 ;
-    
-    for (i = 0 ; i < noEntries ; i += 4 )
-    {
-      ClipCrossSection(vertices, i, pVoxelLimit, pAxis, pMin, pMax) ;
-    }
-    for (i = 0 ; i < noBetweenSections4 ; i += 4 )
-    {
-      ClipBetweenSections(vertices, i, pVoxelLimit, pAxis, pMin, pMax) ;
-    }
-    if ((pMin != kInfinity) || (pMax != -kInfinity) )
-    {
-      existsAfterClip = true ;
-      pMin -= kCarTolerance ; // Add 2*tolerance to avoid precision troubles
-      pMax += kCarTolerance ;
+    for ( i = 0 ; i < noEntries ; i += 4 )
+    {
+      ClipCrossSection(vertices, i, pVoxelLimit, pAxis, pMin, pMax);
+    }
+    for ( i = 0 ; i < noBetweenSections4 ; i += 4 )
+    {
+      ClipBetweenSections(vertices, i, pVoxelLimit, pAxis, pMin, pMax);
+    }
+    if ( (pMin != kInfinity) || (pMax != -kInfinity) )
+    {
+      existsAfterClip = true;
+      pMin -= kCarTolerance; // Add 2*tolerance to avoid precision troubles
+      pMax += kCarTolerance;
     }
     else
@@ -391,11 +357,11 @@
              (pVoxelLimit.GetMinXExtent()+pVoxelLimit.GetMaxXExtent())*0.5,
              (pVoxelLimit.GetMinYExtent()+pVoxelLimit.GetMaxYExtent())*0.5,
-             (pVoxelLimit.GetMinZExtent()+pVoxelLimit.GetMaxZExtent())*0.5 ) ;
+             (pVoxelLimit.GetMinZExtent()+pVoxelLimit.GetMaxZExtent())*0.5 );
         
       if ( Inside(pTransform.Inverse().TransformPoint(clipCentre)) != kOutside )
       {
-        existsAfterClip = true ;
-        pMin            = pVoxelLimit.GetMinExtent(pAxis) ;
-        pMax            = pVoxelLimit.GetMaxExtent(pAxis) ;
+        existsAfterClip = true;
+        pMin            = pVoxelLimit.GetMinExtent(pAxis);
+        pMax            = pVoxelLimit.GetMaxExtent(pAxis);
       }
     }
@@ -808,4 +774,5 @@
   G4double tolORMin2, tolIRMax2 ;  // 'generous' radii squared
   G4double tolORMax2, tolIRMin2, tolODz, tolIDz ;
+  const G4double dRmax = 100.*fRMax;
 
   static const G4double halfCarTolerance = 0.5*kCarTolerance;
@@ -908,4 +875,9 @@
         if (s >= 0)  // If 'forwards'
         {
+          if ( s>dRmax ) // Avoid rounding errors due to precision issues on
+          {              // 64 bits systems. Split long distances and recompute
+            G4double fTerm = s-std::fmod(s,dRmax);
+            s = fTerm + DistanceToIn(p+fTerm*v,v);
+          } 
           // Check z intersection
           //
@@ -1022,4 +994,9 @@
           //
           if(s < 0.0)  { s = 0.0; }
+          if ( s>dRmax ) // Avoid rounding errors due to precision issues seen
+          {              // 64 bits systems. Split long distances and recompute
+            G4double fTerm = s-std::fmod(s,dRmax);
+            s = fTerm + DistanceToIn(p+fTerm*v,v);
+          } 
           zi = p.z() + s*v.z() ;
           if (std::fabs(zi) <= tolODz)
Index: trunk/source/geometry/solids/specific/History
===================================================================
--- trunk/source/geometry/solids/specific/History	(revision 1227)
+++ trunk/source/geometry/solids/specific/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.150 2008/11/21 09:26:53 gcosmo Exp $
+$Id: History,v 1.160 2009/11/11 12:25:46 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,54 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+11-Nov-2009  G.Cosmo (geom-specific-V09-02-08)
+- Avoid fake (and redundant) assignment of value to 3-vector in
+  G4PolyconeSide and G4TwistTubsSide.
+
+24-Sep-2009  T.Nikitina (geom-specific-V09-02-07)
+- G4Ellipsoid: refined fix in DistanceToIn(p,v) for points located on the
+  curved surface, and correct treatment of geometrical tolerance.
+
+09-Sep-2009  G.Cosmo (geom-specific-V09-02-06)
+- G4Ellipsoid: fixed usage of half-tolerances (radial and Cartesian) in
+  DistanceToIn(p,v), based on incorrect assumptions introduced in tag
+  "geom-specific-V09-02-04", responsible for zero steps on configurations
+  with cut in Z. Addresses problem report #1076.
+
+04-Aug-2009  T.Nikitina (geom-specific-V09-02-05)
+- G4Ellipsoid:
+  o Fixes in Inside(p) and in DistanceToIn(p,v) for points
+    located on the curved surface within tolerance. Final fix for issue
+    reported in problem report #1050 and concerning warnings reported by
+    grid_test.
+  o Adopt pre-computed half-tolerance values for optimisation.
+
+23-Jul-2009  T.Nikitina (geom-specific-V09-02-04)
+- G4Ellipsoid: fix to DistanceToIn(p,v) in the calculation of the roots of
+  the quadratic equation and in DistanceToOut(p,v) in the calculation of the
+  normal on cut surfaces. Final fix for problem report #1022 and #1050.
+- G4PolyconeSide: added protection in method Normal(), addressing problem
+  report #1073.
+
+30-Jun-2009  T.Nikitina (geom-specific-V09-02-03)
+- G4Ellipsoid: introduced to DistanceToIn(p,v) splitting of the distance for
+  point very far from intersection area and big difference between solid
+  dimensions and distance to it; resolves issue observed on 64 bits problem.
+  Also addressing problem report #1022.
+
+08-May-2009, G.Cosmo (geom-specific-V09-02-02)
+- Corrected typo in base implementation of G4VCSGfaceted::GetSurfaceArea(),
+  which was erroneously returning cubic volume estimation.
+  Addresses problem report #1062.
+
+27-Apr-2009, G.Cosmo (geom-specific-V09-02-01)
+- Relaxed error condition in G4TessellatedSolid::Inside(p) to warning, for
+  excess of max trials and anomalous conditions in distance calculation.
+  Added more printout information when error condition is detected.
+
+27-Feb-2009, T.Nikitina (geom-specific-V09-02-00)
+- Fix in G4Paraboloid::DistanceToOut(p,v,..) for the computation of normal
+  to surface; added missing normalisation to unit, following remark in the
+  Geometry Forum Hypernews posting #953.
 
 21-Nov-2008, G.Cosmo (geom-specific-V09-01-19)
Index: trunk/source/geometry/solids/specific/include/G4ClippablePolygon.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ClippablePolygon.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4ClippablePolygon.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ClippablePolygon.hh,v 1.11 2007/05/11 13:54:28 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4ClippablePolygon.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ClippablePolygon.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4ClippablePolygon.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ClippablePolygon.icc,v 1.4 2006/06/29 18:46:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4Ellipsoid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Ellipsoid.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Ellipsoid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Ellipsoid.hh,v 1.12 2007/05/18 07:39:56 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4Ellipsoid.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Ellipsoid.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Ellipsoid.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Ellipsoid.icc,v 1.7 2006/10/20 13:45:20 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4EllipticalCone.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalCone.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalCone.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalCone.hh,v 1.12 2008/11/21 09:26:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4EllipticalCone.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalCone.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalCone.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalCone.icc,v 1.7 2008/11/21 09:26:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4EllipticalTube.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalTube.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalTube.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalTube.hh,v 1.18 2006/10/20 13:45:20 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4EllipticalTube.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalTube.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalTube.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalTube.icc,v 1.4 2006/06/29 18:46:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4EnclosingCylinder.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EnclosingCylinder.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4EnclosingCylinder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EnclosingCylinder.hh,v 1.8 2006/06/29 18:46:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExtrudedSolid.hh,v 1.7 2008/02/27 12:32:48 ivana Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExtrudedSolid.icc,v 1.2 2007/02/19 10:17:45 ivana Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4Hype.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Hype.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Hype.hh	(revision 1228)
@@ -27,5 +27,5 @@
 // $Id: G4Hype.hh,v 1.15 2006/10/20 13:45:20 gcosmo Exp $
 // $Original: G4Hype.hh,v 1.0 1998/06/09 16:57:50 safai Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Hype.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Hype.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Hype.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Hype.icc,v 1.7 2006/06/29 18:47:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4IntersectingCone.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4IntersectingCone.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4IntersectingCone.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IntersectingCone.hh,v 1.11 2008/04/28 08:59:47 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Paraboloid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Paraboloid.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Paraboloid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Paraboloid.hh,v 1.4 2008/01/22 17:42:09 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4Paraboloid.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Paraboloid.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Paraboloid.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Paraboloid.icc,v 1.4 2007/08/21 12:58:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4PolyPhiFace.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyPhiFace.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4PolyPhiFace.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyPhiFace.hh,v 1.12 2008/05/15 11:41:58 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4PolyPhiFace.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyPhiFace.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4PolyPhiFace.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyPhiFace.icc,v 1.6 2006/06/29 18:47:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polycone.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polycone.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Polycone.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polycone.hh,v 1.22 2008/05/15 13:45:15 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polycone.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polycone.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Polycone.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polycone.icc,v 1.10 2006/06/29 18:47:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4PolyconeSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyconeSide.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4PolyconeSide.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyconeSide.hh,v 1.12 2008/05/15 11:41:58 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polyhedra.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polyhedra.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Polyhedra.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polyhedra.hh,v 1.20 2008/05/15 13:45:15 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polyhedra.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polyhedra.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Polyhedra.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polyhedra.icc,v 1.11 2007/01/22 12:58:53 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4PolyhedraSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyhedraSide.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4PolyhedraSide.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyhedraSide.hh,v 1.11 2008/05/15 11:41:59 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4QuadrangularFacet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4QuadrangularFacet.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4QuadrangularFacet.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuadrangularFacet.hh,v 1.6 2008/12/18 12:57:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4ReduciblePolygon.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ReduciblePolygon.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4ReduciblePolygon.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ReduciblePolygon.hh,v 1.9 2006/06/29 18:47:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4SolidExtentList.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4SolidExtentList.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4SolidExtentList.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SolidExtentList.hh,v 1.7 2006/06/29 18:47:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id:
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.icc	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id:
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4TessellatedSolid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TessellatedSolid.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4TessellatedSolid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TessellatedSolid.hh,v 1.10 2007/12/10 16:30:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4Tet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Tet.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4Tet.hh	(revision 1228)
@@ -30,5 +30,5 @@
 //
 // $Id: G4Tet.hh,v 1.9 2006/11/13 08:58:03 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4TriangularFacet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TriangularFacet.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4TriangularFacet.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TriangularFacet.hh,v 1.8 2007/12/10 16:30:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4TwistTrapFlatSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistTrapFlatSide.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4TwistTrapFlatSide.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistTrapFlatSide.hh,v 1.5 2006/06/29 18:47:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistTubsFlatSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistTubsFlatSide.hh	(revision 1227)
+++ trunk/source/geometry/solids/specific/include/G4TwistTubsFlatSide.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistTubsFlatSide.hh,v 1.5 2006/06/29 18:47:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
